Package org.apache.sling.launchpad.base.impl.bootstrapcommands

# Class BootstrapCommandFile

java.lang.Object
org.apache.sling.launchpad.base.impl.bootstrapcommands.BootstrapCommandFile

public class BootstrapCommandFile extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMMENT_PREFIX`
Prefix for comments in command files
`static final String`
`DATA_FILENAME`
Name of file used to store our execution timestamp

## Constructor Summary

Constructors
Constructor
Description
`BootstrapCommandFile(org.apache.felix.framework.Logger logger, File cmdFile)`
Will load our commands from specified file, if found

## Method Summary

Modifier and Type
Method
Description
`boolean`
`execute(org.osgi.framework.BundleContext ctx)`
Execute commands if needed, and store execution timestamp

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DATA_FILENAME

public static final String DATA_FILENAME
Name of file used to store our execution timestamp

### COMMENT_PREFIX

public static final String COMMENT_PREFIX
Prefix for comments in command files

See Also:
  - Constant Field Values

## Constructor Details

### BootstrapCommandFile

public BootstrapCommandFile(org.apache.felix.framework.Logger logger, File cmdFile)
Will load our commands from specified file, if found

Parameters:
  `logger` - Logger to use
  `cmdFile` - File to load commands from, or null

## Method Details

### execute

public boolean execute(org.osgi.framework.BundleContext ctx) throws IOException
Execute commands if needed, and store execution timestamp

Parameters:
  `ctx` - BundleContext to use
Returns:
  If system bundle needs a restart.
Throws:
  `IOException` - If an error occurs